using System;
using System.Web.Razor;

namespace Muban.Compiler
{
    using Template;

    public interface ITemplateService
    {
        string GetInclude(string fileName);
        IFileTemplate GetTemplate(string fileName, Type templateType, RazorCodeLanguage language, Action<object> activator);
        ITemplate Eval(string code, Type templateType, RazorCodeLanguage language, Action<object> activator);
    }
}
